{
  options,
  config,
  lib,
  pkgs,
  ...
}:

with lib;
with lib.metacfg;
let
  cfg = config.metacfg.tools.jetbrains;
in
{
  options.metacfg.tools.jetbrains = with types; {
    enable = mkBoolOpt false "Whether or not to enable jetbrains.";
  };

  config = mkIf cfg.enable {
    home.sessionPath = [ "$HOME/.local/share/JetBrains/Toolbox/scripts" ];
    home.packages = with pkgs; [
      jetbrains-toolbox
      (pkgs.nerdfonts.override {
        fonts = [
          "FiraCode"
          "DroidSansMono"
          "JetBrainsMono"
        ];
      })
    ];
  };
}
